ros-rolling-compressed-image-transport (6.1.0-1noble) noble; urgency=high

  * Replace rmw_qos_profile_t with rclcpp::QoS (#193 <https://github.com/ros-perception/image_transport_plugins/issues/193>)
  * Contributors: Alejandro Hernández Cordero

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 14 Jul 2025 22:00:00 -0000

ros-rolling-compressed-image-transport (6.0.0-1noble) noble; urgency=high

  * Use non deprecated method (#182 <https://github.com/ros-perception/image_transport_plugins/issues/182>)
  * Merge pull request #188 <https://github.com/ros-perception/image_transport_plugins/issues/188> from bjsowa/fix/canonical-param-names
  * Add TODO comments about deprecated parameters
  * Simplify pre set parameter callback for other transports
  * Don't add pre set parameter callback when not needed
  * Add deprecated dot parameters for compressed transport
  * Fix inconsistent transport param names
  * Removed deprecated params (#183 <https://github.com/ros-perception/image_transport_plugins/issues/183>)
  * Removed deprecated headers (#184 <https://github.com/ros-perception/image_transport_plugins/issues/184>)
  * Contributors: Alejandro Hernández Cordero, Błażej Sowa, Kenji Brameld

 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 08 Jul 2025 22:00:00 -0000

ros-rolling-compressed-image-transport (5.0.3-1noble) noble; urgency=high

  * Use target_link_libraries instead of ament_target_dependencies (#179 <https://github.com/ros-perception/image_transport_plugins/issues/179>)
  * Contributors: Alejandro Hernández Cordero

 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 20 May 2025 22:00:00 -0000

ros-rolling-compressed-image-transport (5.0.2-1noble) noble; urgency=high

  * [ADD] flag for jpeg compression of bayer format (#98 <https://github.com/ros-perception/image_transport_plugins/issues/98>)
  * Contributors: wodtko

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 09 Feb 2025 23:00:00 -0000

ros-rolling-compressed-image-transport (5.0.1-1noble) noble; urgency=high

  * inlcude alpha channel in PNG compression (#171 <https://github.com/ros-perception/image_transport_plugins/issues/171>)
  * Contributors: Aleksander Szymański

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 24 Nov 2024 23:00:00 -0000

ros-rolling-compressed-image-transport (5.0.0-1noble) noble; urgency=high

  * Added common linters to compressed_image_transport (#167 <https://github.com/ros-perception/image_transport_plugins/issues/167>)
  * Contributors: Alejandro Hernández Cordero

 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 30 Jul 2024 22:00:00 -0000

ros-rolling-compressed-image-transport (4.0.1-1noble) noble; urgency=high

  * Removed warning (#164 <https://github.com/ros-perception/image_transport_plugins/issues/164>)
  * Contributors: Alejandro Hernández Cordero

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 21 Jul 2024 22:00:00 -0000

ros-rolling-compressed-image-transport (4.0.0-1noble) noble; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 12 Apr 2024 22:00:00 -0000

ros-rolling-compressed-image-transport (3.2.0-1noble) noble; urgency=high

  * Allow parameters to be reconfigurable (#144 <https://github.com/ros-perception/image_transport_plugins/issues/144>)
  * Contributors: Bartosz Meglicki, Kenji Brameld

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 07 May 2023 22:00:00 -0000

ros-rolling-compressed-image-transport (3.0.0-1noble) noble; urgency=high

  * Deprecated the following parameter names in favor of transport scoped ones. The remapping is listed below:
    * image.format to image.compressed.format
    * image.png_level to image.compressed.png_level
    * image.jpeg_quality to image.compressed.jpeg_quality
    * image.tiff.res_unit to image.compressed.tiff.res_unit
    * image.tiff.xdpi to image.compressed.tiff.xdpi
    * image.tiff.ydpi to image.compressed.tiff.ydpi
    The deprecated parameters emit a warning if explicitly set, but this warning will be removed in future distros.
    (#143 <https://github.com/ros-perception/image_transport_plugins/issues/143>)
  * Replace deprecated cv_bridge.h with cv_bridge.hpp (#118 <https://github.com/ros-perception/image_transport_plugins/issues/118>)
  * Update maintainer (#112 <https://github.com/ros-perception/image_transport_plugins/issues/112>)
  * Compressed image transport parameters are now reconfigurable (#108 <https://github.com/ros-perception/image_transport_plugins/issues/108>)
  * Contributors: Bartosz Meglicki, Ivan Santiago Paunovic, Kenji Brameld

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 17 Apr 2023 22:00:00 -0000

ros-rolling-compressed-image-transport (2.6.0-1noble) noble; urgency=high

  * Fix advertiseImpl() in compressed_publisher and subscribeImpl() in compressed_subscriber. (#106 <https://github.com/ros-perception/image_transport_plugins/issues/106>)
  * Contributors: Ivan Santiago Paunovic

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 15 Aug 2022 22:00:00 -0000

ros-rolling-compressed-image-transport (2.5.0-1noble) noble; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 17 Apr 2022 22:00:00 -0000

ros-rolling-compressed-image-transport (2.3.2-1noble) noble; urgency=high

  * Add tiff compression support. (#75 <https://github.com/ros-perception/image_transport_plugins/issues/75>)
  * Fix copyright year 20012 -> 2012 (#79 <https://github.com/ros-perception/image_transport_plugins/issues/79>)
  * JPEG only supports 8 bits images (#73 <https://github.com/ros-perception/image_transport_plugins/issues/73>)
  * Contributors: Ivan Santiago Paunovic, Michael Carroll

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 17 Feb 2022 23:00:00 -0000

ros-rolling-compressed-image-transport (2.3.1-1noble) noble; urgency=high

  * [ros2] Fix RCLCPP_* logs, a string literal must be the first argument (#72 <https://github.com/ros-perception/image_transport_plugins/issues/72>)
  * Contributors: Ivan Santiago Paunovic, Łukasz Mitka

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 12 Jul 2021 22:00:00 -0000

ros-rolling-compressed-image-transport (2.3.0-1noble) noble; urgency=high

  * Use non-deprecated image_transport headers (#59 <https://github.com/ros-perception/image_transport_plugins/issues/59>)
  * Add parameter declarations (#52 <https://github.com/ros-perception/image_transport_plugins/issues/52>)
  * Contributors: Michael Carroll, Łukasz Mitka

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 27 May 2020 22:00:00 -0000

ros-rolling-compressed-image-transport (2.2.1-1noble) noble; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 22 Oct 2019 22:00:00 -0000

ros-rolling-compressed-image-transport (2.2.0-1noble) noble; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 26 Sep 2019 22:00:00 -0000

ros-rolling-compressed-image-transport (2.1.0-1noble) noble; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 22 Aug 2019 22:00:00 -0000

ros-rolling-compressed-image-transport (2.0.0-1noble) noble; urgency=high

  * Pointer api updates (#31 <https://github.com/ros-perception/image_transport_plugins/issues/31>)
  * Update compressed_image_transport to ros2 (#26 <https://github.com/ros-perception/image_transport_plugins/issues/26>)
  * Contributors: Michael Carroll, Jose Luis Rivero

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 12 Dec 2018 23:00:00 -0000

ros-rolling-compressed-image-transport (1.9.5-1noble) noble; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 02 Oct 2016 22:00:00 -0000

ros-rolling-compressed-image-transport (1.9.4-1noble) noble; urgency=high

  * address gcc6 build error and tune
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Lukas Bulwahn

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 01 Oct 2016 22:00:00 -0000

ros-rolling-compressed-image-transport (1.9.3-1noble) noble; urgency=high

  * remove useless tf dependencies
  * Using cfg-defined constants
  * Changed flag name, and corrected typo in flag use.
  * using IMREAD flags.
  * Updated for indigo-devel
  * Contributors: Cedric Pradalier, Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 16 Jan 2016 23:00:00 -0000

ros-rolling-compressed-image-transport (1.9.2-1noble) noble; urgency=high

  * get code to compile with OpenCV3
  * avoid yet another image copy
  * avoid copying data if it can be shared
  * Contributors: Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 24 Apr 2015 22:00:00 -0000

ros-rolling-compressed-image-transport (1.9.1-1noble) noble; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 17 Jul 2014 22:00:00 -0000

ros-rolling-compressed-image-transport (1.9.0-1noble) noble; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 15 May 2014 22:00:00 -0000

ros-rolling-compressed-image-transport (1.8.21-1noble) noble; urgency=high

  * maintainer: david gossow
  * Contributors: David Gossow

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 26 Jun 2013 22:00:00 -0000

ros-rolling-compressed-image-transport (1.8.20-1noble) noble; urgency=high

  * 1.8.19 -> 1.8.20
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 17 Mar 2013 23:00:00 -0000

ros-rolling-compressed-image-transport (1.8.19-1noble) noble; urgency=high

  * 1.8.18 -> 1.8.19
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 23 Feb 2013 23:00:00 -0000

ros-rolling-compressed-image-transport (1.8.18-1noble) noble; urgency=high

  * 1.8.17 -> 1.8.18
  * fixing input format checks (enabling rgba, bgra) + minor fixes
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 07 Feb 2013 16:59:00 -0000

ros-rolling-compressed-image-transport (1.8.17-1noble) noble; urgency=high

  * 1.8.16 -> 1.8.17
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 17 Jan 2013 23:00:00 -0000

ros-rolling-compressed-image-transport (1.8.16-1noble) noble; urgency=high

  * 1.8.15 -> 1.8.16
  * use the pluginlib script to remove some runtime warnings
  * Contributors: Julius Kammerl, Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 16 Jan 2013 23:00:00 -0000

ros-rolling-compressed-image-transport (1.8.15-1noble) noble; urgency=high

  * fix typo
  * Contributors: Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 28 Dec 2012 19:11:00 -0000

ros-rolling-compressed-image-transport (1.8.14-1noble) noble; urgency=high

  * fix the bad xml naming
  * Contributors: Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 28 Dec 2012 19:02:00 -0000

ros-rolling-compressed-image-transport (1.8.13-1noble) noble; urgency=high

  * fix the bad exports
  * make sure the plugins are visible by image_transport
  * added license headers to various cpp and h files
  * Contributors: Aaron Blasdel, Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 28 Dec 2012 18:06:00 -0000

ros-rolling-compressed-image-transport (1.8.12-1noble) noble; urgency=high

  * fix downstream stuff in cmake
  * Contributors: Dirk Thomas

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 19 Dec 2012 18:30:00 -0000

ros-rolling-compressed-image-transport (1.8.11-1noble) noble; urgency=high

  * fix cmake order
  * Contributors: Dirk Thomas

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 19 Dec 2012 16:17:00 -0000

ros-rolling-compressed-image-transport (1.8.10-1noble) noble; urgency=high

  * fix dyn reconf
  * Contributors: Dirk Thomas

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 19 Dec 2012 16:03:00 -0000

ros-rolling-compressed-image-transport (1.8.9-1noble) noble; urgency=high

  * switching to verion 1.8.9
  * fixing dynamic_reconfigure related catkin errors
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 18 Dec 2012 23:26:00 -0000

ros-rolling-compressed-image-transport (1.8.8-1noble) noble; urgency=high

  * adding build_deb on message_generation & mrun_deb on message_runtime
  * Updated package.xml for new buildtool_depend tag for catkin requirement
  * Contributors: Julius Kammerl, mirzashah

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 16 Dec 2012 23:00:00 -0000

ros-rolling-compressed-image-transport (1.8.7-1noble) noble; urgency=high

  * adding missing tf build dependency
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 10 Dec 2012 14:29:00 -0000

ros-rolling-compressed-image-transport (1.8.6-1noble) noble; urgency=high

  * switching to version 1.8.6
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 10 Dec 2012 14:08:00 -0000

ros-rolling-compressed-image-transport (1.8.5-1noble) noble; urgency=high

  * adding missing build debs
  * added class_loader_hide_library_symbols macros to CMakeList
  * switching to 1.8.5
  * fixing compressed color format to comply with opencv api
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 08 Dec 2012 23:00:00 -0000

ros-rolling-compressed-image-transport (1.8.4-1noble) noble; urgency=high

  * switching to version 1.8.4
  * adding plugin.xml exports for pluginlib
  * catkinizing theora_image_transport
  * github migration from code.ros.org (r40053)
  * image_transport_plugins: Updated manifests to have better summaries, correct URLs.
  * compressed_image_transport: Some todos.
  * compressed_image_transport: Copy connection header to output Image, #4250 <https://github.com/ros-perception/image_transport_plugins/issues/4250>.
  * Added Ubuntu platform tags to manifest
  * compressed_image_transport: Fixed swapping of R & B channels in data field.
  * compressed_image_transport: Fixed bug in lookup of format parameter.
  * getParam -> getParamCached
  * Switch to opencv2
  * compressed_image_transport: Renamed parameters, which are now searched up the parameter tree.
  * compressed_image_transport: Updated for compatibility with post-0.1 image_transport.
  * image_transport_plugins: Initial stack check-in. Includes theora_image_transport, compressed_image_transport and libtheora. Currently depends on opencv, but may excise this in the future.
  * Contributors: Julius Kammerl, gerkey, jamesb, mihelich, pmihelich

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 29 Nov 2012 23:00:00 -0000


